# eric4.Plugins.VcsPlugins.vcsPySvn.SvnUtilities

Module implementing some common utility functions for the pysvn package.

### Global Attributes

None

### Classes

None

### Functions

dateFromTime_t | Module function to return the date.
formatTime | Module function to return a formatted time string.
getConfigPath | Public method to get the filename of the config file.
getServersPath | Public method to get the filename of the servers file.

## dateFromTime_t

dateFromTime_t(seconds)

Module function to return the date.

seconds
  time in seconds since epoch to be formatted (float or long)

Returns:
  date (QDate)

Up

## formatTime

formatTime(seconds)

Module function to return a formatted time string.

seconds
  time in seconds since epoch to be formatted (float or long)

Returns:
  formatted time string (QString)

Up

## getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Returns:
  filename of the config file (string)

Up

## getServersPath

getServersPath()

Public method to get the filename of the servers file.

Returns:
  filename of the servers file (string)

Up